M6502OP_(00,BRK,IMPLIED    ,IMPLIED    ,7,0197)
M6502OP_(01,ORA,INDIRECT_X ,ADDRESS    ,6,0576)
M6502OP_(02,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(03,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(04,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(05,ORA,ZEROPAGE   ,ADDRESS    ,3,0594)
M6502OP_(06,ASL,ZEROPAGE   ,ADDRESS    ,5,0113)
M6502OP_(07,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(08,PHP,IMPLIED    ,IMPLIED    ,3,05BC)
M6502OP_(09,ORA,IMMEDIATE  ,IMMEDIATE  ,2,0568)
M6502OP_(0A,ASL,ACCUMULATOR,ACCUMULATOR,2,0103)
M6502OP_(0B,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(0C,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(0D,ORA,ABSOLUTE   ,ADDRESS    ,4,053D)
M6502OP_(0E,ASL,ABSOLUTE   ,ADDRESS    ,6,00E7)
M6502OP_(0F,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(10,BPL,RELATIVE   ,ADDRESS    ,2,018A)
M6502OP_(11,ORA,INDIRECT_Y ,ADDRESS    ,5,0585)
M6502OP_(12,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(13,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(14,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(15,ORA,ZEROPAGE_X ,ADDRESS    ,4,05A1)
M6502OP_(16,ASL,ZEROPAGE_X ,ADDRESS    ,6,0120)
M6502OP_(17,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(18,CLC,IMPLIED    ,IMPLIED    ,2,01BD)
M6502OP_(19,ORA,ABSOLUTE_Y ,ADDRESS    ,4,0559)
M6502OP_(1A,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(1B,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(1C,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(1D,ORA,ABSOLUTE_X ,ADDRESS    ,4,054A)
M6502OP_(1E,ASL,ABSOLUTE_X ,ADDRESS    ,7,00F4)
M6502OP_(1F,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(20,JSR,ABSOLUTE   ,ADDRESS    ,6,03DD)
M6502OP_(21,AND,INDIRECT_X ,ADDRESS    ,6,00AD)
M6502OP_(22,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(23,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(24,BIT,ZEROPAGE   ,ADDRESS    ,3,0163)
M6502OP_(25,AND,ZEROPAGE   ,ADDRESS    ,3,00CB)
M6502OP_(26,ROL,ZEROPAGE   ,ADDRESS    ,5,060C)
M6502OP_(27,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(28,PLP,IMPLIED    ,IMPLIED    ,4,05D4)
M6502OP_(29,AND,IMMEDIATE  ,IMMEDIATE  ,2,009F)
M6502OP_(2A,ROL,ACCUMULATOR,ACCUMULATOR,2,05FC)
M6502OP_(2B,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(2C,BIT,ABSOLUTE   ,ADDRESS    ,4,0156)
M6502OP_(2D,AND,ABSOLUTE   ,ADDRESS    ,4,0074)
M6502OP_(2E,ROL,ABSOLUTE   ,ADDRESS    ,6,05E0)
M6502OP_(2F,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(30,BMI,RELATIVE   ,ADDRESS    ,2,0170)
M6502OP_(31,AND,INDIRECT_Y ,ADDRESS    ,5,00BC)
M6502OP_(32,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(33,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(34,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(35,AND,ZEROPAGE_X ,ADDRESS    ,4,00D8)
M6502OP_(36,ROL,ZEROPAGE_X ,ADDRESS    ,6,0619)
M6502OP_(37,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(38,SEC,IMPLIED    ,IMPLIED    ,2,06FB)
M6502OP_(39,AND,ABSOLUTE_Y ,ADDRESS    ,4,0090)
M6502OP_(3A,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(3B,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(3C,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(3D,AND,ABSOLUTE_X ,ADDRESS    ,4,0081)
M6502OP_(3E,ROL,ABSOLUTE_X ,ADDRESS    ,7,05ED)
M6502OP_(3F,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(40,RTI,IMPLIED    ,IMPLIED    ,6,0670)
M6502OP_(41,EOR,INDIRECT_X ,ADDRESS    ,6,0339)
M6502OP_(42,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(43,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(44,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(45,EOR,ZEROPAGE   ,ADDRESS    ,3,0357)
M6502OP_(46,LSR,ZEROPAGE   ,ADDRESS    ,5,0515)
M6502OP_(47,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(48,PHA,IMPLIED    ,IMPLIED    ,3,05B0)
M6502OP_(49,EOR,IMMEDIATE  ,IMMEDIATE  ,2,032B)
M6502OP_(4A,LSR,ACCUMULATOR,ACCUMULATOR,2,0505)
M6502OP_(4B,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(4C,JMP,ABSOLUTE   ,ADDRESS    ,3,03C3)
M6502OP_(4D,EOR,ABSOLUTE   ,ADDRESS    ,4,0300)
M6502OP_(4E,LSR,ABSOLUTE   ,ADDRESS    ,6,04E9)
M6502OP_(4F,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(50,BVC,RELATIVE   ,ADDRESS    ,2,01A3)
M6502OP_(51,EOR,INDIRECT_Y ,ADDRESS    ,5,0348)
M6502OP_(52,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(53,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(54,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(55,EOR,ZEROPAGE_X ,ADDRESS    ,4,0364)
M6502OP_(56,LSR,ZEROPAGE_X ,ADDRESS    ,6,0522)
M6502OP_(57,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(58,CLI,IMPLIED    ,IMPLIED    ,2,01D5)
M6502OP_(59,EOR,ABSOLUTE_Y ,ADDRESS    ,4,031C)
M6502OP_(5A,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(5B,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(5C,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(5D,EOR,ABSOLUTE_X ,ADDRESS    ,4,030D)
M6502OP_(5E,LSR,ABSOLUTE_X ,ADDRESS    ,7,04F6)
M6502OP_(5F,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(60,RTS,IMPLIED    ,IMPLIED    ,6,067C)
M6502OP_(61,ADC,INDIRECT_X ,ADDRESS    ,6,003A)
M6502OP_(62,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(63,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(64,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(65,ADC,ZEROPAGE   ,ADDRESS    ,3,0058)
M6502OP_(66,ROR,ZEROPAGE   ,ADDRESS    ,5,0654)
M6502OP_(67,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(68,PLA,IMPLIED    ,IMPLIED    ,4,05C8)
M6502OP_(69,ADC,IMMEDIATE  ,IMMEDIATE  ,2,002C)
M6502OP_(6A,ROR,ACCUMULATOR,ACCUMULATOR,2,0644)
M6502OP_(6B,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(6C,JMP,INDIRECT   ,ADDRESS    ,5,03D0)
M6502OP_(6D,ADC,ABSOLUTE   ,ADDRESS    ,4,0001)
M6502OP_(6E,ROR,ABSOLUTE   ,ADDRESS    ,6,0628)
M6502OP_(6F,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(70,BVS,RELATIVE   ,ADDRESS    ,2,01B0)
M6502OP_(71,ADC,INDIRECT_Y ,ADDRESS    ,5,0049)
M6502OP_(72,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(73,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(74,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(75,ADC,ZEROPAGE_X ,ADDRESS    ,4,0065)
M6502OP_(76,ROR,ZEROPAGE_X ,ADDRESS    ,6,0661)
M6502OP_(77,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(78,SEI,IMPLIED    ,IMPLIED    ,2,0713)
M6502OP_(79,ADC,ABSOLUTE_Y ,ADDRESS    ,4,001D)
M6502OP_(7A,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(7B,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(7C,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(7D,ADC,ABSOLUTE_X ,ADDRESS    ,4,000E)
M6502OP_(7E,ROR,ABSOLUTE_X ,ADDRESS    ,7,0635)
M6502OP_(7F,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(80,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(81,STA,INDIRECT_X ,ADDRESS    ,6,074A)
M6502OP_(82,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(83,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(84,STY,ZEROPAGE   ,ADDRESS    ,3,07BA)
M6502OP_(85,STA,ZEROPAGE   ,ADDRESS    ,3,0768)
M6502OP_(86,STX,ZEROPAGE   ,ADDRESS    ,3,0791)
M6502OP_(87,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(88,DEY,IMPLIED    ,IMPLIED    ,2,02F4)
M6502OP_(89,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(8A,TXA,IMPLIED    ,IMPLIED    ,2,07FA)
M6502OP_(8B,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(8C,STY,ABSOLUTE   ,ADDRESS    ,4,07AD)
M6502OP_(8D,STA,ABSOLUTE   ,ADDRESS    ,4,071F)
M6502OP_(8E,STX,ABSOLUTE   ,ADDRESS    ,4,0784)
M6502OP_(8F,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(90,BCC,RELATIVE   ,ADDRESS    ,2,012F)
M6502OP_(91,STA,INDIRECT_Y ,ADDRESS    ,6,0759)
M6502OP_(92,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(93,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(94,STY,ZEROPAGE_X ,ADDRESS    ,4,07C7)
M6502OP_(95,STA,ZEROPAGE_X ,ADDRESS    ,4,0775)
M6502OP_(96,STX,ZEROPAGE_Y ,ADDRESS    ,4,079E)
M6502OP_(97,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(98,TYA,IMPLIED    ,IMPLIED    ,2,0812)
M6502OP_(99,STA,ABSOLUTE_Y ,ADDRESS    ,5,073B)
M6502OP_(9A,TXS,IMPLIED    ,IMPLIED    ,2,0806)
M6502OP_(9B,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(9C,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(9D,STA,ABSOLUTE_X ,ADDRESS    ,5,072C)
M6502OP_(9E,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(9F,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(A0,LDY,IMMEDIATE  ,IMMEDIATE  ,2,04BF)
M6502OP_(A1,LDA,INDIRECT_X ,ADDRESS    ,6,0423)
M6502OP_(A2,LDX,IMMEDIATE  ,IMMEDIATE  ,2,0479)
M6502OP_(A3,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(A4,LDY,ZEROPAGE   ,ADDRESS    ,3,04CD)
M6502OP_(A5,LDA,ZEROPAGE   ,ADDRESS    ,3,0441)
M6502OP_(A6,LDX,ZEROPAGE   ,ADDRESS    ,3,0487)
M6502OP_(A7,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(A8,TAY,IMPLIED    ,IMPLIED    ,2,07E2)
M6502OP_(A9,LDA,IMMEDIATE  ,IMMEDIATE  ,2,0415)
M6502OP_(AA,TAX,IMPLIED    ,IMPLIED    ,2,07D6)
M6502OP_(AB,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(AC,LDY,ABSOLUTE   ,ADDRESS    ,4,04A3)
M6502OP_(AD,LDA,ABSOLUTE   ,ADDRESS    ,4,03EA)
M6502OP_(AE,LDX,ABSOLUTE   ,ADDRESS    ,4,045D)
M6502OP_(AF,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(B0,BCS,RELATIVE   ,ADDRESS    ,2,013C)
M6502OP_(B1,LDA,INDIRECT_Y ,ADDRESS    ,5,0432)
M6502OP_(B2,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(B3,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(B4,LDY,ZEROPAGE_X ,ADDRESS    ,4,04DA)
M6502OP_(B5,LDA,ZEROPAGE_X ,ADDRESS    ,4,044E)
M6502OP_(B6,LDX,ZEROPAGE_Y ,ADDRESS    ,4,0494)
M6502OP_(B7,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(B8,CLV,IMPLIED    ,IMPLIED    ,2,01E1)
M6502OP_(B9,LDA,ABSOLUTE_Y ,ADDRESS    ,4,0406)
M6502OP_(BA,TSX,IMPLIED    ,IMPLIED    ,2,07EE)
M6502OP_(BB,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(BC,LDY,ABSOLUTE_X ,ADDRESS    ,4,04B0)
M6502OP_(BD,LDA,ABSOLUTE_X ,ADDRESS    ,4,03F7)
M6502OP_(BE,LDX,ABSOLUTE_Y ,ADDRESS    ,4,046A)
M6502OP_(BF,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(C0,CPY,IMMEDIATE  ,IMMEDIATE  ,2,0295)
M6502OP_(C1,CMP,INDIRECT_X ,ADDRESS    ,6,0226)
M6502OP_(C2,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(C3,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(C4,CPY,ZEROPAGE   ,ADDRESS    ,3,02A3)
M6502OP_(C5,CMP,ZEROPAGE   ,ADDRESS    ,3,0244)
M6502OP_(C6,DEC,ZEROPAGE   ,ADDRESS    ,5,02CC)
M6502OP_(C7,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(C8,INY,IMPLIED    ,IMPLIED    ,2,03B7)
M6502OP_(C9,CMP,IMMEDIATE  ,IMMEDIATE  ,2,0218)
M6502OP_(CA,DEX,IMPLIED    ,IMPLIED    ,2,02E8)
M6502OP_(CB,WAI,IMPLIED    ,IMPLIED    ,3,081E)
M6502OP_(CC,CPY,ABSOLUTE   ,ADDRESS    ,4,0288)
M6502OP_(CD,CMP,ABSOLUTE   ,ADDRESS    ,4,01ED)
M6502OP_(CE,DEC,ABSOLUTE   ,ADDRESS    ,6,02B0)
M6502OP_(CF,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(D0,BNE,RELATIVE   ,ADDRESS    ,2,017D)
M6502OP_(D1,CMP,INDIRECT_Y ,ADDRESS    ,5,0235)
M6502OP_(D2,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(D3,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(D4,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(D5,CMP,ZEROPAGE_X ,ADDRESS    ,4,0251)
M6502OP_(D6,DEC,ZEROPAGE_X ,ADDRESS    ,6,02D9)
M6502OP_(D7,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(D8,CLD,IMPLIED    ,IMPLIED    ,2,01C9)
M6502OP_(D9,CMP,ABSOLUTE_Y ,ADDRESS    ,4,0209)
M6502OP_(DA,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(DB,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(DC,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(DD,CMP,ABSOLUTE_X ,ADDRESS    ,4,01FA)
M6502OP_(DE,DEC,ABSOLUTE_X ,ADDRESS    ,7,02BD)
M6502OP_(DF,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(E0,CPX,IMMEDIATE  ,IMMEDIATE  ,2,026D)
M6502OP_(E1,SBC,INDIRECT_X ,ADDRESS    ,6,06C1)
M6502OP_(E2,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(E3,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(E4,CPX,ZEROPAGE   ,ADDRESS    ,3,027B)
M6502OP_(E5,SBC,ZEROPAGE   ,ADDRESS    ,3,06DF)
M6502OP_(E6,INC,ZEROPAGE   ,ADDRESS    ,5,038F)
M6502OP_(E7,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(E8,INX,IMPLIED    ,IMPLIED    ,2,03AB)
M6502OP_(E9,SBC,IMMEDIATE  ,IMMEDIATE  ,2,06B3)
M6502OP_(EA,NOP,IMPLIED    ,IMPLIED    ,2,0531)
M6502OP_(EB,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(EC,CPX,ABSOLUTE   ,ADDRESS    ,4,0260)
M6502OP_(ED,SBC,ABSOLUTE   ,ADDRESS    ,4,0688)
M6502OP_(EE,INC,ABSOLUTE   ,ADDRESS    ,6,0373)
M6502OP_(EF,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(F0,BEQ,RELATIVE   ,ADDRESS    ,2,0149)
M6502OP_(F1,SBC,INDIRECT_Y ,ADDRESS    ,5,06D0)
M6502OP_(F2,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(F3,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(F4,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(F5,SBC,ZEROPAGE_X ,ADDRESS    ,4,06EC)
M6502OP_(F6,INC,ZEROPAGE_X ,ADDRESS    ,6,039C)
M6502OP_(F7,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(F8,SED,IMPLIED    ,IMPLIED    ,2,0707)
M6502OP_(F9,SBC,ABSOLUTE_Y ,ADDRESS    ,4,06A4)
M6502OP_(FA,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(FB,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(FC,ERR,IMPLIED    ,IMPLIED    ,0,0000)
M6502OP_(FD,SBC,ABSOLUTE_X ,ADDRESS    ,4,0695)
M6502OP_(FE,INC,ABSOLUTE_X ,ADDRESS    ,7,0380)
M6502OP_(FF,ERR,IMPLIED    ,IMPLIED    ,0,0000)
